Page MenuHomeFreeBSD

Added flavors support to www/drush
ClosedPublic

Authored by mfechner on Jun 24 2018, 9:01 AM.

Details

Summary

Commit message:
Added flavors support to drush.

I will refer to PR 227741.

Test Plan

Port build with poudriere and modified patch to make portlint happy.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mfechner created this revision.Jun 24 2018, 9:01 AM
tz requested changes to this revision.Jun 25 2018, 1:02 PM

While the patch is fine, UPDATING needs an entry for it!

This revision now requires changes to proceed.Jun 25 2018, 1:02 PM

There is already an entry existing (20180611).
If we start to add for each php application an entry that will cause the UPDATING file to explode or?

tz added a comment.Jun 25 2018, 3:48 PM

There is already an entry existing (20180611).
If we start to add for each php application an entry that will cause the UPDATING file to explode or?

Nope. Also this entry is for the past. There are even more, like for 20180518 or 20180412.

The problem with not doing it because of 20180611 is: when using pkg updating with an date after 20180611 you wont notice it. And you need to fix the problem by yourself. So its better to have a short notice. You can even reference 20180611 if you want. But do not surprise the user with an unexpected problem ;)

mfechner updated this revision to Diff 44430.Jun 25 2018, 5:10 PM

Added entry in UPDATING.

tz accepted this revision.Jun 26 2018, 7:47 AM

Thanks swills! :)

This revision is now accepted and ready to land.Jun 26 2018, 7:47 AM
This revision was automatically updated to reflect the committed changes.